io.etcd.jetcd.api

## Class RangeRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>
      - - io.etcd.jetcd.api.RangeRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, RangeRequestOrBuilder, Cloneable

Enclosing class:
  RangeRequest

    public static final class RangeRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>
    implements RangeRequestOrBuilder

Protobuf type `etcdserverpb.RangeRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`RangeRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`RangeRequest` `build()`
`RangeRequest` `buildPartial()`
`RangeRequest.Builder` `clear()`
`RangeRequest.Builder` `clearCountOnly()` count_only when set returns only the count of the keys in the range.
`RangeRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`RangeRequest.Builder` `clearKey()` key is the first key for the range.
`RangeRequest.Builder` `clearKeysOnly()` keys_only when set returns only the keys and not the values.
`RangeRequest.Builder` `clearLimit()` limit is a limit on the number of keys returned for the request.
`RangeRequest.Builder` `clearMaxCreateRevision()` max_create_revision is the upper bound for returned key create revisions; all keys with greater create revisions will be filtered away.
`RangeRequest.Builder` `clearMaxModRevision()` max_mod_revision is the upper bound for returned key mod revisions; all keys with greater mod revisions will be filtered away.
`RangeRequest.Builder` `clearMinCreateRevision()` min_create_revision is the lower bound for returned key create revisions; all keys with lesser create trevisions will be filtered away.
`RangeRequest.Builder` `clearMinModRevision()` min_mod_revision is the lower bound for returned key mod revisions; all keys with lesser mod revisions will be filtered away.
`RangeRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`RangeRequest.Builder` `clearRangeEnd()` range_end is the upper bound on the requested range [key, range_end).
`RangeRequest.Builder` `clearRevision()` revision is the point-in-time of the key-value store to use for the range.
`RangeRequest.Builder` `clearSerializable()` serializable sets the range request to use serializable member-local reads.
`RangeRequest.Builder` `clearSortOrder()` sort_order is the order for returned sorted results.
`RangeRequest.Builder` `clearSortTarget()` sort_target is the key-value field to use for sorting.
`RangeRequest.Builder` `clone()`
`boolean` `getCountOnly()` count_only when set returns only the count of the keys in the range.
`RangeRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.ByteString` `getKey()` key is the first key for the range.
`boolean` `getKeysOnly()` keys_only when set returns only the keys and not the values.
`long` `getLimit()` limit is a limit on the number of keys returned for the request.
`long` `getMaxCreateRevision()` max_create_revision is the upper bound for returned key create revisions; all keys with greater create revisions will be filtered away.
`long` `getMaxModRevision()` max_mod_revision is the upper bound for returned key mod revisions; all keys with greater mod revisions will be filtered away.
`long` `getMinCreateRevision()` min_create_revision is the lower bound for returned key create revisions; all keys with lesser create trevisions will be filtered away.
`long` `getMinModRevision()` min_mod_revision is the lower bound for returned key mod revisions; all keys with lesser mod revisions will be filtered away.
`com.google.protobuf.ByteString` `getRangeEnd()` range_end is the upper bound on the requested range [key, range_end).
`long` `getRevision()` revision is the point-in-time of the key-value store to use for the range.
`boolean` `getSerializable()` serializable sets the range request to use serializable member-local reads.
`RangeRequest.SortOrder` `getSortOrder()` sort_order is the order for returned sorted results.
`int` `getSortOrderValue()` sort_order is the order for returned sorted results.
`RangeRequest.SortTarget` `getSortTarget()` sort_target is the key-value field to use for sorting.
`int` `getSortTargetValue()` sort_target is the key-value field to use for sorting.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`RangeRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`RangeRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`RangeRequest.Builder` `mergeFrom(RangeRequest other)`
`RangeRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`RangeRequest.Builder` `setCountOnly(boolean value)` count_only when set returns only the count of the keys in the range.
`RangeRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`RangeRequest.Builder` `setKey(com.google.protobuf.ByteString value)` key is the first key for the range.
`RangeRequest.Builder` `setKeysOnly(boolean value)` keys_only when set returns only the keys and not the values.
`RangeRequest.Builder` `setLimit(long value)` limit is a limit on the number of keys returned for the request.
`RangeRequest.Builder` `setMaxCreateRevision(long value)` max_create_revision is the upper bound for returned key create revisions; all keys with greater create revisions will be filtered away.
`RangeRequest.Builder` `setMaxModRevision(long value)` max_mod_revision is the upper bound for returned key mod revisions; all keys with greater mod revisions will be filtered away.
`RangeRequest.Builder` `setMinCreateRevision(long value)` min_create_revision is the lower bound for returned key create revisions; all keys with lesser create trevisions will be filtered away.
`RangeRequest.Builder` `setMinModRevision(long value)` min_mod_revision is the lower bound for returned key mod revisions; all keys with lesser mod revisions will be filtered away.
`RangeRequest.Builder` `setRangeEnd(com.google.protobuf.ByteString value)` range_end is the upper bound on the requested range [key, range_end).
`RangeRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`RangeRequest.Builder` `setRevision(long value)` revision is the point-in-time of the key-value store to use for the range.
`RangeRequest.Builder` `setSerializable(boolean value)` serializable sets the range request to use serializable member-local reads.
`RangeRequest.Builder` `setSortOrder(RangeRequest.SortOrder value)` sort_order is the order for returned sorted results.
`RangeRequest.Builder` `setSortOrderValue(int value)` sort_order is the order for returned sorted results.
`RangeRequest.Builder` `setSortTarget(RangeRequest.SortTarget value)` sort_target is the key-value field to use for sorting.
`RangeRequest.Builder` `setSortTargetValue(int value)` sort_target is the key-value field to use for sorting.
`RangeRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### clear

    public RangeRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### getDefaultInstanceForType

    public RangeRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public RangeRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public RangeRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public RangeRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### setField

    public RangeRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### clearField

    public RangeRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### clearOneof

    public RangeRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### setRepeatedField

    public RangeRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 int index,
                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### addRepeatedField

    public RangeRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### mergeFrom

    public RangeRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<RangeRequest.Builder>`

#### mergeFrom

    public RangeRequest.Builder mergeFrom(RangeRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### mergeFrom

    public RangeRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<RangeRequest.Builder>`
Throws:
  `IOException`

#### getKey

    public com.google.protobuf.ByteString getKey()

     key is the first key for the range. If range_end is not given, the request only looks up key.

`bytes key = 1;`

Specified by:
  `getKey` in interface `RangeRequestOrBuilder`
Returns:
  The key.

#### setKey

    public RangeRequest.Builder setKey(com.google.protobuf.ByteString value)

     key is the first key for the range. If range_end is not given, the request only looks up key.

`bytes key = 1;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public RangeRequest.Builder clearKey()

     key is the first key for the range. If range_end is not given, the request only looks up key.

`bytes key = 1;`

Returns:
  This builder for chaining.

#### getRangeEnd

    public com.google.protobuf.ByteString getRangeEnd()

     range_end is the upper bound on the requested range [key, range_end).
     If range_end is '\0', the range is all keys >= key.
     If range_end is key plus one (e.g., "aa"+1 == "ab", "a\xff"+1 == "b"),
     then the range request gets all keys prefixed with key.
     If both key and range_end are '\0', then the range request returns all keys.

`bytes range_end = 2;`

Specified by:
  `getRangeEnd` in interface `RangeRequestOrBuilder`
Returns:
  The rangeEnd.

#### setRangeEnd

    public RangeRequest.Builder setRangeEnd(com.google.protobuf.ByteString value)

     range_end is the upper bound on the requested range [key, range_end).
     If range_end is '\0', the range is all keys >= key.
     If range_end is key plus one (e.g., "aa"+1 == "ab", "a\xff"+1 == "b"),
     then the range request gets all keys prefixed with key.
     If both key and range_end are '\0', then the range request returns all keys.

`bytes range_end = 2;`

Parameters:
  `value` - The rangeEnd to set.
Returns:
  This builder for chaining.

#### clearRangeEnd

    public RangeRequest.Builder clearRangeEnd()

     range_end is the upper bound on the requested range [key, range_end).
     If range_end is '\0', the range is all keys >= key.
     If range_end is key plus one (e.g., "aa"+1 == "ab", "a\xff"+1 == "b"),
     then the range request gets all keys prefixed with key.
     If both key and range_end are '\0', then the range request returns all keys.

`bytes range_end = 2;`

Returns:
  This builder for chaining.

#### getLimit

    public long getLimit()

     limit is a limit on the number of keys returned for the request. When limit is set to 0,
     it is treated as no limit.

`int64 limit = 3;`

Specified by:
  `getLimit` in interface `RangeRequestOrBuilder`
Returns:
  The limit.

#### setLimit

    public RangeRequest.Builder setLimit(long value)

     limit is a limit on the number of keys returned for the request. When limit is set to 0,
     it is treated as no limit.

`int64 limit = 3;`

Parameters:
  `value` - The limit to set.
Returns:
  This builder for chaining.

#### clearLimit

    public RangeRequest.Builder clearLimit()

     limit is a limit on the number of keys returned for the request. When limit is set to 0,
     it is treated as no limit.

`int64 limit = 3;`

Returns:
  This builder for chaining.

#### getRevision

    public long getRevision()

     revision is the point-in-time of the key-value store to use for the range.
     If revision is less or equal to zero, the range is over the newest key-value store.
     If the revision has been compacted, ErrCompacted is returned as a response.

`int64 revision = 4;`

Specified by:
  `getRevision` in interface `RangeRequestOrBuilder`
Returns:
  The revision.

#### setRevision

    public RangeRequest.Builder setRevision(long value)

     revision is the point-in-time of the key-value store to use for the range.
     If revision is less or equal to zero, the range is over the newest key-value store.
     If the revision has been compacted, ErrCompacted is returned as a response.

`int64 revision = 4;`

Parameters:
  `value` - The revision to set.
Returns:
  This builder for chaining.

#### clearRevision

    public RangeRequest.Builder clearRevision()

     revision is the point-in-time of the key-value store to use for the range.
     If revision is less or equal to zero, the range is over the newest key-value store.
     If the revision has been compacted, ErrCompacted is returned as a response.

`int64 revision = 4;`

Returns:
  This builder for chaining.

#### getSortOrderValue

    public int getSortOrderValue()

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Specified by:
  `getSortOrderValue` in interface `RangeRequestOrBuilder`
Returns:
  The enum numeric value on the wire for sortOrder.

#### setSortOrderValue

    public RangeRequest.Builder setSortOrderValue(int value)

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Parameters:
  `value` - The enum numeric value on the wire for sortOrder to set.
Returns:
  This builder for chaining.

#### getSortOrder

    public RangeRequest.SortOrder getSortOrder()

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Specified by:
  `getSortOrder` in interface `RangeRequestOrBuilder`
Returns:
  The sortOrder.

#### setSortOrder

    public RangeRequest.Builder setSortOrder(RangeRequest.SortOrder value)

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Parameters:
  `value` - The sortOrder to set.
Returns:
  This builder for chaining.

#### clearSortOrder

    public RangeRequest.Builder clearSortOrder()

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Returns:
  This builder for chaining.

#### getSortTargetValue

    public int getSortTargetValue()

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Specified by:
  `getSortTargetValue` in interface `RangeRequestOrBuilder`
Returns:
  The enum numeric value on the wire for sortTarget.

#### setSortTargetValue

    public RangeRequest.Builder setSortTargetValue(int value)

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Parameters:
  `value` - The enum numeric value on the wire for sortTarget to set.
Returns:
  This builder for chaining.

#### getSortTarget

    public RangeRequest.SortTarget getSortTarget()

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Specified by:
  `getSortTarget` in interface `RangeRequestOrBuilder`
Returns:
  The sortTarget.

#### setSortTarget

    public RangeRequest.Builder setSortTarget(RangeRequest.SortTarget value)

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Parameters:
  `value` - The sortTarget to set.
Returns:
  This builder for chaining.

#### clearSortTarget

    public RangeRequest.Builder clearSortTarget()

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Returns:
  This builder for chaining.

#### getSerializable

    public boolean getSerializable()

     serializable sets the range request to use serializable member-local reads.
     Range requests are linearizable by default; linearizable requests have higher
     latency and lower throughput than serializable requests but reflect the current
     consensus of the cluster. For better performance, in exchange for possible stale reads,
     a serializable range request is served locally without needing to reach consensus
     with other nodes in the cluster.

`bool serializable = 7;`

Specified by:
  `getSerializable` in interface `RangeRequestOrBuilder`
Returns:
  The serializable.

#### setSerializable

    public RangeRequest.Builder setSerializable(boolean value)

     serializable sets the range request to use serializable member-local reads.
     Range requests are linearizable by default; linearizable requests have higher
     latency and lower throughput than serializable requests but reflect the current
     consensus of the cluster. For better performance, in exchange for possible stale reads,
     a serializable range request is served locally without needing to reach consensus
     with other nodes in the cluster.

`bool serializable = 7;`

Parameters:
  `value` - The serializable to set.
Returns:
  This builder for chaining.

#### clearSerializable

    public RangeRequest.Builder clearSerializable()

     serializable sets the range request to use serializable member-local reads.
     Range requests are linearizable by default; linearizable requests have higher
     latency and lower throughput than serializable requests but reflect the current
     consensus of the cluster. For better performance, in exchange for possible stale reads,
     a serializable range request is served locally without needing to reach consensus
     with other nodes in the cluster.

`bool serializable = 7;`

Returns:
  This builder for chaining.

#### getKeysOnly

    public boolean getKeysOnly()

     keys_only when set returns only the keys and not the values.

`bool keys_only = 8;`

Specified by:
  `getKeysOnly` in interface `RangeRequestOrBuilder`
Returns:
  The keysOnly.

#### setKeysOnly

    public RangeRequest.Builder setKeysOnly(boolean value)

     keys_only when set returns only the keys and not the values.

`bool keys_only = 8;`

Parameters:
  `value` - The keysOnly to set.
Returns:
  This builder for chaining.

#### clearKeysOnly

    public RangeRequest.Builder clearKeysOnly()

     keys_only when set returns only the keys and not the values.

`bool keys_only = 8;`

Returns:
  This builder for chaining.

#### getCountOnly

    public boolean getCountOnly()

     count_only when set returns only the count of the keys in the range.

`bool count_only = 9;`

Specified by:
  `getCountOnly` in interface `RangeRequestOrBuilder`
Returns:
  The countOnly.

#### setCountOnly

    public RangeRequest.Builder setCountOnly(boolean value)

     count_only when set returns only the count of the keys in the range.

`bool count_only = 9;`

Parameters:
  `value` - The countOnly to set.
Returns:
  This builder for chaining.

#### clearCountOnly

    public RangeRequest.Builder clearCountOnly()

     count_only when set returns only the count of the keys in the range.

`bool count_only = 9;`

Returns:
  This builder for chaining.

#### getMinModRevision

    public long getMinModRevision()

     min_mod_revision is the lower bound for returned key mod revisions; all keys with
     lesser mod revisions will be filtered away.

`int64 min_mod_revision = 10;`

Specified by:
  `getMinModRevision` in interface `RangeRequestOrBuilder`
Returns:
  The minModRevision.

#### setMinModRevision

    public RangeRequest.Builder setMinModRevision(long value)

     min_mod_revision is the lower bound for returned key mod revisions; all keys with
     lesser mod revisions will be filtered away.

`int64 min_mod_revision = 10;`

Parameters:
  `value` - The minModRevision to set.
Returns:
  This builder for chaining.

#### clearMinModRevision

    public RangeRequest.Builder clearMinModRevision()

     min_mod_revision is the lower bound for returned key mod revisions; all keys with
     lesser mod revisions will be filtered away.

`int64 min_mod_revision = 10;`

Returns:
  This builder for chaining.

#### getMaxModRevision

    public long getMaxModRevision()

     max_mod_revision is the upper bound for returned key mod revisions; all keys with
     greater mod revisions will be filtered away.

`int64 max_mod_revision = 11;`

Specified by:
  `getMaxModRevision` in interface `RangeRequestOrBuilder`
Returns:
  The maxModRevision.

#### setMaxModRevision

    public RangeRequest.Builder setMaxModRevision(long value)

     max_mod_revision is the upper bound for returned key mod revisions; all keys with
     greater mod revisions will be filtered away.

`int64 max_mod_revision = 11;`

Parameters:
  `value` - The maxModRevision to set.
Returns:
  This builder for chaining.

#### clearMaxModRevision

    public RangeRequest.Builder clearMaxModRevision()

     max_mod_revision is the upper bound for returned key mod revisions; all keys with
     greater mod revisions will be filtered away.

`int64 max_mod_revision = 11;`

Returns:
  This builder for chaining.

#### getMinCreateRevision

    public long getMinCreateRevision()

     min_create_revision is the lower bound for returned key create revisions; all keys with
     lesser create trevisions will be filtered away.

`int64 min_create_revision = 12;`

Specified by:
  `getMinCreateRevision` in interface `RangeRequestOrBuilder`
Returns:
  The minCreateRevision.

#### setMinCreateRevision

    public RangeRequest.Builder setMinCreateRevision(long value)

     min_create_revision is the lower bound for returned key create revisions; all keys with
     lesser create trevisions will be filtered away.

`int64 min_create_revision = 12;`

Parameters:
  `value` - The minCreateRevision to set.
Returns:
  This builder for chaining.

#### clearMinCreateRevision

    public RangeRequest.Builder clearMinCreateRevision()

     min_create_revision is the lower bound for returned key create revisions; all keys with
     lesser create trevisions will be filtered away.

`int64 min_create_revision = 12;`

Returns:
  This builder for chaining.

#### getMaxCreateRevision

    public long getMaxCreateRevision()

     max_create_revision is the upper bound for returned key create revisions; all keys with
     greater create revisions will be filtered away.

`int64 max_create_revision = 13;`

Specified by:
  `getMaxCreateRevision` in interface `RangeRequestOrBuilder`
Returns:
  The maxCreateRevision.

#### setMaxCreateRevision

    public RangeRequest.Builder setMaxCreateRevision(long value)

     max_create_revision is the upper bound for returned key create revisions; all keys with
     greater create revisions will be filtered away.

`int64 max_create_revision = 13;`

Parameters:
  `value` - The maxCreateRevision to set.
Returns:
  This builder for chaining.

#### clearMaxCreateRevision

    public RangeRequest.Builder clearMaxCreateRevision()

     max_create_revision is the upper bound for returned key create revisions; all keys with
     greater create revisions will be filtered away.

`int64 max_create_revision = 13;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final RangeRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`

#### mergeUnknownFields

    public final RangeRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeRequest.Builder>`